# 🚀 ReactJS Dashboard CLI

A simple and elegant CLI tool to quickly scaffold a ready-to-go ReactJS dashboard, designed for modern developers who want to move fast without reinventing the wheel.

---

## ✨ Features

- 🔧 One-command setup for a full ReactJS dashboard project
- 🎨 Clean and responsive layout (e.g., Tailwind, Shadcn, Charts, Auth, etc.)
- ⚙️ Auto installs dependencies
- 🔄 Checks for latest CLI version
- 🧱 Structured project template ready for scaling

---

## 📦 Installation

Use `npx` to run the CLI without installing it globally:


```bash
npx create-reactjs-a-dashboard
```

## Installing It Globally
If you want to install it globally, you can do so with the following command:

```bash
npm install -g create-reactjs-a-dashboard
```

Then, you can run the CLI with:

```bash
create-reactjs-a-dashboard
```


## Authors

- [@natnaelengeda](https://www.github.com/natnaelengeda) - Creator and maintainer of the CLI



